Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface ContactInfoType

All Known Implementing Classes:
  ContactInfoTypeImpl

    public interface ContactInfoType

Java content class for contactInfoType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 510)

     <complexType name="contactInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="localAddress" type="{http://infoml.org/infomlFile}nonnullTokenType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="city" type="{http://infoml.org/infomlFile}nonnullTokenType" minOccurs="0"/>
             <element name="stateOrProvince" type="{http://infoml.org/infomlFile}nonnullTokenType" minOccurs="0"/>
             <element name="postalCode" type="{http://infoml.org/infomlFile}nonnullTokenType" minOccurs="0"/>
             <element name="country" type="{http://infoml.org/infomlFile}nonnullTokenType" minOccurs="0"/>
             <element name="email" type="{http://infoml.org/infomlFile}nonnullTokenWithRoleType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="phone" type="{http://infoml.org/infomlFile}nonnullTokenWithRoleType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="other" type="{http://infoml.org/infomlFile}nonnullTokenWithRoleType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.lang.String` | `getCity()` Gets the value of the city property.
`java.lang.String` | `getCountry()` Gets the value of the country property.
`java.util.List` | `getEmail()` Gets the value of the Email property.
`java.util.List` | `getLocalAddress()` Gets the value of the LocalAddress property.
`java.util.List` | `getOther()` Gets the value of the Other property.
`java.util.List` | `getPhone()` Gets the value of the Phone property.
`java.lang.String` | `getPostalCode()` Gets the value of the postalCode property.
`java.lang.String` | `getStateOrProvince()` Gets the value of the stateOrProvince property.
`void` | `setCity(java.lang.String value)` Sets the value of the city property.
`void` | `setCountry(java.lang.String value)` Sets the value of the country property.
`void` | `setPostalCode(java.lang.String value)` Sets the value of the postalCode property.
`void` | `setStateOrProvince(java.lang.String value)` Sets the value of the stateOrProvince property.

Method Detail

### getPhone

    java.util.List getPhone()

  Gets the value of the Phone property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Phone property.

  For example, to add a new item, do as follows:

          getPhone().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithRoleType`

### getLocalAddress

    java.util.List getLocalAddress()

  Gets the value of the LocalAddress property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the LocalAddress property.

  For example, to add a new item, do as follows:

          getLocalAddress().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getPostalCode

    java.lang.String getPostalCode()

  Gets the value of the postalCode property.

  Returns:
    possible object is `String`

### setPostalCode

    void setPostalCode(java.lang.String value)

  Sets the value of the postalCode property.

  Parameters:
    `value` - allowed object is `String`

### getEmail

    java.util.List getEmail()

  Gets the value of the Email property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Email property.

  For example, to add a new item, do as follows:

          getEmail().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithRoleType`

### getOther

    java.util.List getOther()

  Gets the value of the Other property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Other property.

  For example, to add a new item, do as follows:

          getOther().add(newItem);

  Objects of the following type(s) are allowed in the list `NonnullTokenWithRoleType`

### getCountry

    java.lang.String getCountry()

  Gets the value of the country property.

  Returns:
    possible object is `String`

### setCountry

    void setCountry(java.lang.String value)

  Sets the value of the country property.

  Parameters:
    `value` - allowed object is `String`

### getCity

    java.lang.String getCity()

  Gets the value of the city property.

  Returns:
    possible object is `String`

### setCity

    void setCity(java.lang.String value)

  Sets the value of the city property.

  Parameters:
    `value` - allowed object is `String`

### getStateOrProvince

    java.lang.String getStateOrProvince()

  Gets the value of the stateOrProvince property.

  Returns:
    possible object is `String`

### setStateOrProvince

    void setStateOrProvince(java.lang.String value)

  Sets the value of the stateOrProvince property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD